query navigatorF3ComputeBalance(
  $cropProfileId: ID!
  $phosphorusPotassiumStrategy: navigator_f3__phosphorus_potassium_strategy_enum!
  $cropYield: Float!
  $residuesLeftInField: Float
  $harvestIndex: Float
  $cv: Float
  $harvestNitrogenContent: Float
  $harvestPhosphorusContent: Float
  $harvestPotassiumContent: Float
  $soilId: ID!
  $soilPH: Float!
  $soilCEC: Float
  $soilOrganicMatterContent: Float!
  $soilDepth: Float!
  $soilNitrogenContentInitial: Float!
  $soilNitrogenContentFinal: Float!
  $soilPhosphorusAnalysisMethodId: ID!
  $soilPhosphorusContent: Float!
  $soilPotassiumContent: Float!
  $climateZoneId: ID!
  $rainfallAnnual: Float
  $rainfallAutumnWinter: Float
  $waterSupplyMethod: navigator_f3__water_supply_method_enum!
  $irrigationMethod: navigator_f3__irrigation_method_enum
  $irrigationDose: Float
  $irrigationNitrogenNo3Content: Float
  $fertilizations: [navigator_f3__fertilization_input_type]
  $additionalFertilizers: [ID!]
) {
  navigator_f3__compute_balance(
    crop_profile_id: $cropProfileId
    phosphorus_potassium_strategy: $phosphorusPotassiumStrategy
    crop_yield: $cropYield
    residues_left_in_field: $residuesLeftInField
    harvest_index: $harvestIndex
    cv: $cv
    harvest_nitrogen_content: $harvestNitrogenContent
    harvest_phosphorus_content: $harvestPhosphorusContent
    harvest_potassium_content: $harvestPotassiumContent
    soil_id: $soilId
    soil_ph: $soilPH
    soil_cec: $soilCEC
    soil_organic_matter_content: $soilOrganicMatterContent
    soil_depth: $soilDepth
    soil_nitrogen_content_initial: $soilNitrogenContentInitial
    soil_nitrogen_content_final: $soilNitrogenContentFinal
    soil_phosphorus_analysis_method_id: $soilPhosphorusAnalysisMethodId
    soil_phosphorus_content: $soilPhosphorusContent
    soil_potassium_content: $soilPotassiumContent
    climate_zone_id: $climateZoneId
    rainfall_annual: $rainfallAnnual
    rainfall_autumn_winter: $rainfallAutumnWinter
    water_supply_method: $waterSupplyMethod
    irrigation_method: $irrigationMethod
    irrigation_dose: $irrigationDose
    irrigation_nitrogen_no3_content: $irrigationNitrogenNo3Content
    fertilizations: $fertilizations
    additional_fertilizers: $additionalFertilizers
  ) {
    id
    inputs {
      id
      nitrogen_mineralization
      nitrogen_fixation
      nitrogen_irrigation
      nitrogen_in_soil_initial
      nitrogen_fertilizers
      phosphorus_fertilizers
      potassium_fertilizers
      nitrogen_total
      phosphorus_total
      potassium_total
    }
    outputs {
      id
      nitrogen_leaching
      nitrogen_denitrification
      nitrogen_in_soil_final
      nitrogen_volatilization
      nitrogen_uptake
      phosphorus_uptake
      potassium_uptake
      nitrogen_total
      phosphorus_total
      potassium_total
    }
    fertilizations {
      id
      quantity
      fertilizer {
        id
        name
        is_organic
      }
    }
    additional_fertilizations {
      id
      quantity
      fertilizer {
        id
        name
        is_organic
      }
    }
  }
}
